Subject: RE: bug#23911: Cat broken pipe segmentation fault when building Guile

From: "Stewart, Adam James" <[email-masked]>
Date: Wed, 13 Jul 2016 17:00:32 +0000

Andy,

$ GUILE_AUTO_COMPILE=0 meta/guile
Segmentation fault (core dumped)
$ gdb libguile/.libs/guile libguile/core-lt-guile-11-7459-3024-47618-1468428920 
Reading symbols from /scratch/ajstewart/spack-stage/spack-stage-c8z012/guile-2.0.11/libguile/.libs/guile...done.
(gdb) bt
No stack.
(gdb) quit
$ gdb libguile/.libs/guile core-lt-guile-11-7459-3024-47708-1468428949 
Reading symbols from /scratch/ajstewart/spack-stage/spack-stage-c8z012/guile-2.0.11/libguile/.libs/guile...done.
(gdb) bt
No stack.
(gdb) 

Those were the only two *core* files in my build root directory.

I'm currently building all of Guile's dependencies by hand, so there is always a chance there's an error in one of those libraries. I'm going to try building with as many of the system libraries as I can. Maybe I'll discover a bug in one of my installs.

Adam J. Stewart
Assistant Systems Administrator
Laboratory Computing Resource Center
Computing, Environment and Life Sciences
Argonne National Laboratory

________________________________________
From: Stewart, Adam James
Sent: Monday, July 11, 2016 11:36 AM
To: Andy Wingo
Subject: RE: bug#23911: Cat broken pipe segmentation fault when building Guile

Andy,

I tried unsetting LANG and LC_ALL but that didn't help. Nor did setting them to C instead of en_US.UTF-8. If you have any more locale suggestions I can try them.

I tried your suggestion for getting the backtrace but I'm not sure if I did it correctly:

$ gdb libguile/.libs/guile libguile/core-lt-guile-11-7459-3024-47528-1468254675
Reading symbols from /scratch/ajstewart/spack-stage/spack-stage-6loD5i/guile-2.0.11.224-5b7b5/libguile/.libs/guile...done.
(gdb) bt
No stack.
(gdb)

I've used gdb before, but I don't normally debug core dumps, so you may have to give me some pointers.

Adam J. Stewart
Assistant Systems Administrator
Laboratory Computing Resource Center
Computing, Environment and Life Sciences
Argonne National Laboratory

________________________________________
From: Andy Wingo [[email-masked]]
Sent: Monday, July 11, 2016 10:55 AM
To: Stewart, Adam James
Cc: [email-masked]
Subject: Re: bug#23911: Cat broken pipe segmentation fault when building Guile

On Mon 11 Jul 2016 15:05, "Stewart, Adam James" <[email-masked]> writes:

> I just tried the prerelease tarball you suggested but am getting the
> same problem. My config.log, build output, and build environment
> variables are attached.

Thanks; all looked fine except that `environ_locale_charset' thing;
dunno.

Would you mind getting a backtrace from the core to see what happened?
It says "core dumped" so assuming you can find the core then you do "gdb
libguile/.libs/guile libguile/core" (assuming the core file is dumped in
the libguile directory), then "bt".

Cheers,

Andy